diff --git a/src/providers/ldap/sdap_async_groups.c b/src/providers/ldap/sdap_async_groups.c
index b111895..74258fa 100644
--- a/src/providers/ldap/sdap_async_groups.c
+++ b/src/providers/ldap/sdap_async_groups.c
@@ -1766,14 +1766,14 @@ static void sdap_get_groups_done(struct tevent_req *subreq)
                                !state->dom->ignore_group_members, NULL,
                                &state->higher_usn);
         if (ret) {
-            DEBUG(2, ("Failed to store groups.\n"));
+            DEBUG(2, "Failed to store groups.\n");
             tevent_req_error(req, ret);
             return;
         }
-        DEBUG(SSSDBG_TRACE_ALL, ("Saving %zu Groups - Done\n", state->count));
+        DEBUG(SSSDBG_TRACE_ALL, "Saving %zu Groups - Done\n", state->count);
         sysret = sysdb_transaction_commit(state->sysdb);
         if (sysret != EOK) {
-            DEBUG(0, ("Couldn't commit transaction\n"));
+            DEBUG(0, "Couldn't commit transaction\n");
             tevent_req_error(req, sysret);
         } else {
             tevent_req_done(req);
@@ -1810,8 +1810,8 @@ static void sdap_ad_match_rule_members_process(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not retrieve members using AD match rule. [%s]\n",
-               strerror(ret)));
+              "Could not retrieve members using AD match rule. [%s]\n",
+               strerror(ret));
 
         goto done;
     }
@@ -1845,8 +1845,8 @@ static void sdap_ad_match_rule_members_process(struct tevent_req *subreq)
                                            &ghosts);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not determine which users are ghosts: [%s]\n",
-               strerror(ret)));
+              "Could not determine which users are ghosts: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -1872,7 +1872,7 @@ static void sdap_ad_match_rule_members_process(struct tevent_req *subreq)
              * an originalDN.
              */
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("BUG: Missing originalDN for user?\n"));
+                  "BUG: Missing originalDN for user?\n");
             goto done;
         }
 
@@ -1890,8 +1890,8 @@ static void sdap_ad_match_rule_members_process(struct tevent_req *subreq)
                            false, ghosts, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not save group to the cache: [%s]\n",
-               strerror(ret)));
+              "Could not save group to the cache: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -1940,8 +1940,8 @@ static void sdap_nested_done(struct tevent_req *subreq)
                                  &group_count, &groups);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(1, ("Nested group processing failed: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Nested group processing failed: [%d][%s]\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
@@ -1950,7 +1950,7 @@ static void sdap_nested_done(struct tevent_req *subreq)
      */
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to start transaction\n"));
+        DEBUG(1, "Failed to start transaction\n");
         goto fail;
     }
     in_transaction = true;
@@ -1971,7 +1971,7 @@ static void sdap_nested_done(struct tevent_req *subreq)
 
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to commit transaction\n"));
+        DEBUG(1, "Failed to commit transaction\n");
         goto fail;
     }
     in_transaction = false;
@@ -1984,7 +1984,7 @@ fail:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(state->sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
     tevent_req_error(req, ret);
@@ -2038,7 +2038,7 @@ static errno_t sdap_nested_group_populate_users(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction!\n");
         goto done;
     }
     in_transaction = true;
@@ -2048,7 +2048,7 @@ static errno_t sdap_nested_group_populate_users(TALLOC_CTX *mem_ctx,
                                          domain, &username);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("User entry %d has no name attribute. Skipping\n", i));
+                  "User entry %d has no name attribute. Skipping\n", i);
             continue;
         }
 
@@ -2058,7 +2058,7 @@ static errno_t sdap_nested_group_populate_users(TALLOC_CTX *mem_ctx,
         }
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("User entry %d has no originalDN attribute\n", i));
+                  "User entry %d has no originalDN attribute\n", i);
             goto done;
         }
         original_dn = (const char *) el->values[0].data;
@@ -2067,7 +2067,7 @@ static errno_t sdap_nested_group_populate_users(TALLOC_CTX *mem_ctx,
                                   &clean_orig_dn);
         if (ret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Cannot sanitize originalDN [%s]\n", original_dn));
+                  "Cannot sanitize originalDN [%s]\n", original_dn);
             goto done;
         }
 
@@ -2084,13 +2084,13 @@ static errno_t sdap_nested_group_populate_users(TALLOC_CTX *mem_ctx,
         talloc_zfree(filter);
         talloc_zfree(clean_orig_dn);
         if (ret != EOK && ret != ENOENT) {
-            DEBUG(1, ("Error checking cache for user entry\n"));
+            DEBUG(1, "Error checking cache for user entry\n");
             goto done;
         } else if (ret == EOK) {
             /* The entry is cached but expired. Update the username
              * if needed. */
             if (count != 1) {
-                DEBUG(1, ("More than one entry with this origDN? Skipping\n"));
+                DEBUG(1, "More than one entry with this origDN? Skipping\n");
                 continue;
             }
 
@@ -2128,7 +2128,7 @@ static errno_t sdap_nested_group_populate_users(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction!\n");
         goto done;
     }
     in_transaction = false;
@@ -2138,7 +2138,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
 
diff --git a/src/providers/ldap/sdap_async_groups_ad.c b/src/providers/ldap/sdap_async_groups_ad.c
index 9b61c69..28a509e 100644
--- a/src/providers/ldap/sdap_async_groups_ad.c
+++ b/src/providers/ldap/sdap_async_groups_ad.c
@@ -76,8 +76,8 @@ sdap_get_ad_match_rule_members_send(TALLOC_CTX *mem_ctx,
                                NULL, &state->attrs, NULL);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not build attribute map: [%s]\n",
-               strerror(ret)));
+              "Could not build attribute map: [%s]\n",
+               strerror(ret));
         goto immediate;
     }
 
@@ -85,8 +85,8 @@ sdap_get_ad_match_rule_members_send(TALLOC_CTX *mem_ctx,
     ret = sysdb_attrs_get_string(group, SYSDB_ORIG_DN, &group_dn);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not retrieve originalDN for group: %s\n",
-               strerror(ret)));
+              "Could not retrieve originalDN for group: %s\n",
+               strerror(ret));
         goto immediate;
     }
 
@@ -94,8 +94,8 @@ sdap_get_ad_match_rule_members_send(TALLOC_CTX *mem_ctx,
     ret = sss_filter_sanitize(state, group_dn, &sanitized_group_dn);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not sanitize group DN: %s\n",
-               strerror(ret)));
+              "Could not sanitize group DN: %s\n",
+               strerror(ret));
         goto immediate;
     }
 
@@ -119,8 +119,8 @@ sdap_get_ad_match_rule_members_send(TALLOC_CTX *mem_ctx,
     ret = sdap_get_ad_match_rule_members_next_base(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("sdap_get_ad_match_rule_members_next_base failed: [%s]\n",
-               strerror(ret)));
+              "sdap_get_ad_match_rule_members_next_base failed: [%s]\n",
+               strerror(ret));
         goto immediate;
     }
 
@@ -149,8 +149,8 @@ sdap_get_ad_match_rule_members_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for users with base [%s]\n",
-           state->search_bases[state->base_iter]->basedn));
+          "Searching for users with base [%s]\n",
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -183,13 +183,13 @@ sdap_get_ad_match_rule_members_step(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("LDAP search failed: [%s]\n", strerror(ret)));
+              "LDAP search failed: [%s]\n", strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
 
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Search for users returned %zu results\n", count));
+          "Search for users returned %zu results\n", count);
 
     /* Add this batch of users to the list */
     if (count > 0) {
@@ -225,7 +225,7 @@ sdap_get_ad_match_rule_members_step(struct tevent_req *subreq)
     /* No more search bases. We're done here. */
     if (state->count == 0) {
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("No users matched in any search base\n"));
+              "No users matched in any search base\n");
         tevent_req_error(req, ENOENT);
         return;
     }
